Bug 856695 - Not possible to filter events by date(range)
Not possible to filter events by date(range)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Events (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: PRODMGT-248
  Show dependency treegraph
 
Reported: 2012-09-12 11:22 EDT by Heiko W. Rupp
Modified: 2013-09-12 05:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: PRODMGT-248 (view as bug list)
Environment:
Last Closed: 2013-09-12 05:13:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-09-12 11:22:46 EDT
Description of problem:

There is no way to filter the even display down to a specific time range)

Pre GWT this was possible via the global metric range settings.

I don't think that re-introducing the global metric range setting is right here, 
but it should be possible to filter like on the Recent Operations/Recent Alerts reports with a start or end date. If none are given, the default (as is) should be taken.
Comment 1 Heiko W. Rupp 2012-09-13 05:22:32 EDT
Initial implementation is in master 82877c7c61a21cc22

The picker could probably be improved to allow to select the time as well.

The new class DateTimeFilterItem probably needs some love too.

Also the whole events history tab could be passed by some UXD expert.
Comment 2 Mike Thompson 2012-09-17 11:27:13 EDT

The UI could be cleaned up as the default time widget created by smartGWT is very simplistic. Heiko had found a better looking widget:
http://sgwidgets.googlecode.com/svn/trunk/sgwidgets-demo/1.0.0/index.html

However, it is not i18n compatible. So while it would be easy to add this widget; making it i18n for the various timezone formats (and Daylight Savings Time issues) and languages is quite a daunting task.

To summarize: making it look pretty is easy, make it work internationally is very difficult.
Comment 3 Larry O'Leary 2012-11-02 15:30:03 EDT
As 4.5 is already out the door, I am resetting the target for 4.6. This may need to be re-triaged.
Comment 4 Heiko W. Rupp 2012-11-03 15:20:10 EDT
Note that the functionality itself is in RHQ 4.5 -- it is "just" not as beautiful as it could be.
Comment 5 Heiko W. Rupp 2013-09-12 05:13:58 EDT
Closing according to comment 4

Note You need to log in before you can comment on or make changes to this bug.